> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a hosted payment link



## OpenAPI

````yaml /openapi.json post /api/v1/wallet/deposit/payment-link
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/wallet/deposit/payment-link:
    post:
      tags:
        - Deposits
      summary: Generate a hosted payment link
      operationId: DepositController_generateLink
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeneratePaymentLinkDto'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLinkResponseDto'
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    GeneratePaymentLinkDto:
      type: object
      properties:
        amount:
          type: number
        reference:
          type: string
        currency:
          type: string
          default: NGN
        redirectUrl:
          type: string
        customization:
          $ref: '#/components/schemas/Customization'
        customer:
          $ref: '#/components/schemas/Customer'
        narration:
          type: string
      required:
        - amount
        - customization
        - customer
    PaymentLinkResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/PaymentLinkDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    Customization:
      type: object
      properties:
        title:
          type: string
    Customer:
      type: object
      properties:
        email:
          type: string
        phoneNumber:
          type: string
        name:
          type: string
      required:
        - email
        - phoneNumber
        - name
    PaymentLinkDto:
      type: object
      properties:
        link:
          type: string
      required:
        - link
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````